      subroutine tape
*
* read in the specification for the interior eos, and the eos itself. 
* new version here reads c eos from tape13 and o eos from tape14,
* while the control parameters are still read from tape5 (MAW)
*
      implicit double precision(a-h,o-z)

      common/tablec/tablec(6,39,87)
      common/tableo/tableo(6,36,87)
      common/sizec/tminc,tmaxc,deltc,pminc,pmaxc,delpc,pmc(50),ipc(50),
     1 iphasec(50),ioverc,itc 
      common/sizeo/tmino,tmaxo,delto,pmino,pmaxo,delpo,pmo(50),ipo(50),
     1 iphaseo(50),iovero,ito 

 1000 format(8f10.2)
 1001 format(8i10)
*
* read c interior eos
*
      read(15,1001) itc,ioverc 
      read(15,1000) (pmc(i),i=1,itc)
      read(15,1001) (ipc(i),i=1,itc)
      read(15,1001) (iphasec(i),i=1,itc) 
      read(15,1000) pminc,pmaxc,delpc
      read(15,1000) tminc,tmaxc,deltc
      read(13) tablec
      rewind 13
      close(13)
*
* read o interior eos
*
      read(15,1001) ito,iovero 
      read(15,1000) (pmo(i),i=1,ito)
      read(15,1001) (ipo(i),i=1,ito)
      read(15,1001) (iphaseo(i),i=1,ito) 
      read(15,1000) pmino,pmaxo,delpo
      read(15,1000) tmino,tmaxo,delto
      read(14) tableo
      rewind 14
      close(14)

      return
      end

************************************************************************

